RHEL 6 : X11 client libraries (RHSA-2014:1436)

Medium Nessus Plugin ID 78411

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

Updated X11 client libraries packages that fix multiple security issues, several bugs, and add various enhancements are now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having Moderate security impact. Common Vulnerability Scoring System (CVSS) base scores, which give detailed severity ratings, are available for each vulnerability from the CVE links in the References section.

The X11 (Xorg) libraries provide library routines that are used within all X Window applications.

Multiple integer overflow flaws, leading to heap-based buffer overflows, were found in the way various X11 client libraries handled certain protocol data. An attacker able to submit invalid protocol data to an X11 server via a malicious X11 client could use either of these flaws to potentially escalate their privileges on the system.
(CVE-2013-1981, CVE-2013-1982, CVE-2013-1983, CVE-2013-1984, CVE-2013-1985, CVE-2013-1986, CVE-2013-1987, CVE-2013-1988, CVE-2013-1989, CVE-2013-1990, CVE-2013-1991, CVE-2013-2003, CVE-2013-2062, CVE-2013-2064)

Multiple array index errors, leading to heap-based buffer out-of-bounds write flaws, were found in the way various X11 client libraries handled data returned from an X11 server. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client. (CVE-2013-1997, CVE-2013-1998, CVE-2013-1999, CVE-2013-2000, CVE-2013-2001, CVE-2013-2002, CVE-2013-2066)

A buffer overflow flaw was found in the way the XListInputDevices() function of X.Org X11's libXi runtime library handled signed numbers.
A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client.
(CVE-2013-1995)

A flaw was found in the way the X.Org X11 libXt runtime library used uninitialized pointers. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client. (CVE-2013-2005)

Two stack-based buffer overflow flaws were found in the way libX11, the Core X11 protocol client library, processed certain user-specified files. A malicious X11 server could possibly use this flaw to crash an X11 client via a specially crafted file. (CVE-2013-2004)

The xkeyboard-config package has been upgraded to upstream version 2.11, which provides a number of bug fixes and enhancements over the previous version. (BZ#1077471)

This update also fixes the following bugs :

* Previously, updating the mesa-libGL package did not update the libX11 package, although it was listed as a dependency of mesa-libGL.
This bug has been fixed and updating mesa-libGL now updates all dependent packages as expected. (BZ#1054614)

* Previously, closing a customer application could occasionally cause the X Server to terminate unexpectedly. After this update, the X Server no longer hangs when a user closes a customer application.
(BZ#971626)

All X11 client libraries users are advised to upgrade to these updated packages, which correct these issues and add these enhancements.

Solution

Update the affected packages.

See Also

https://www.x.org/wiki/Development/Security/Advisory-2013-05-23/

https://access.redhat.com/errata/RHSA-2014:1436

https://access.redhat.com/security/cve/cve-2013-2062

https://access.redhat.com/security/cve/cve-2013-2064

https://access.redhat.com/security/cve/cve-2013-2066

https://access.redhat.com/security/cve/cve-2013-2003

https://access.redhat.com/security/cve/cve-2013-2002

https://access.redhat.com/security/cve/cve-2013-2001

https://access.redhat.com/security/cve/cve-2013-2000

https://access.redhat.com/security/cve/cve-2013-2005

https://access.redhat.com/security/cve/cve-2013-2004

https://access.redhat.com/security/cve/cve-2013-1989

https://access.redhat.com/security/cve/cve-2013-1988

https://access.redhat.com/security/cve/cve-2013-1987

https://access.redhat.com/security/cve/cve-2013-1986

https://access.redhat.com/security/cve/cve-2013-1985

https://access.redhat.com/security/cve/cve-2013-1984

https://access.redhat.com/security/cve/cve-2013-1983

https://access.redhat.com/security/cve/cve-2013-1982

https://access.redhat.com/security/cve/cve-2013-1981

https://access.redhat.com/security/cve/cve-2013-1998

https://access.redhat.com/security/cve/cve-2013-1999

https://access.redhat.com/security/cve/cve-2013-1990

https://access.redhat.com/security/cve/cve-2013-1991

https://access.redhat.com/security/cve/cve-2013-1995

https://access.redhat.com/security/cve/cve-2013-1997

https://access.redhat.com/security/cve/cve-2013-1992

https://access.redhat.com/security/cve/cve-2013-2063

Plugin Details

Severity: Medium

ID: 78411

File Name: redhat-RHSA-2014-1436.nasl

Version: 1.16

Type: local

Agent: unix

Published: 2014/10/14

Updated: 2019/09/16

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:libX11, p-cpe:/a:redhat:enterprise_linux:libX11-common, p-cpe:/a:redhat:enterprise_linux:libX11-debuginfo, p-cpe:/a:redhat:enterprise_linux:libX11-devel, p-cpe:/a:redhat:enterprise_linux:libXcursor, p-cpe:/a:redhat:enterprise_linux:libXcursor-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXcursor-devel, p-cpe:/a:redhat:enterprise_linux:libXext, p-cpe:/a:redhat:enterprise_linux:libXext-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXext-devel, p-cpe:/a:redhat:enterprise_linux:libXfixes, p-cpe:/a:redhat:enterprise_linux:libXfixes-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXfixes-devel, p-cpe:/a:redhat:enterprise_linux:libXi, p-cpe:/a:redhat:enterprise_linux:libXi-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXi-devel, p-cpe:/a:redhat:enterprise_linux:libXinerama, p-cpe:/a:redhat:enterprise_linux:libXinerama-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXinerama-devel, p-cpe:/a:redhat:enterprise_linux:libXp, p-cpe:/a:redhat:enterprise_linux:libXp-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXp-devel, p-cpe:/a:redhat:enterprise_linux:libXrandr, p-cpe:/a:redhat:enterprise_linux:libXrandr-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXrandr-devel, p-cpe:/a:redhat:enterprise_linux:libXrender, p-cpe:/a:redhat:enterprise_linux:libXrender-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXrender-devel, p-cpe:/a:redhat:enterprise_linux:libXres, p-cpe:/a:redhat:enterprise_linux:libXres-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXres-devel, p-cpe:/a:redhat:enterprise_linux:libXt, p-cpe:/a:redhat:enterprise_linux:libXt-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXt-devel, p-cpe:/a:redhat:enterprise_linux:libXtst, p-cpe:/a:redhat:enterprise_linux:libXtst-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXtst-devel, p-cpe:/a:redhat:enterprise_linux:libXv, p-cpe:/a:redhat:enterprise_linux:libXv-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXv-devel, p-cpe:/a:redhat:enterprise_linux:libXvMC, p-cpe:/a:redhat:enterprise_linux:libXvMC-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXvMC-devel, p-cpe:/a:redhat:enterprise_linux:libXxf86dga, p-cpe:/a:redhat:enterprise_linux:libXxf86dga-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXxf86dga-devel, p-cpe:/a:redhat:enterprise_linux:libXxf86vm, p-cpe:/a:redhat:enterprise_linux:libXxf86vm-debuginfo, p-cpe:/a:redhat:enterprise_linux:libXxf86vm-devel, p-cpe:/a:redhat:enterprise_linux:libdmx, p-cpe:/a:redhat:enterprise_linux:libdmx-debuginfo, p-cpe:/a:redhat:enterprise_linux:libdmx-devel, p-cpe:/a:redhat:enterprise_linux:libxcb, p-cpe:/a:redhat:enterprise_linux:libxcb-debuginfo, p-cpe:/a:redhat:enterprise_linux:libxcb-devel, p-cpe:/a:redhat:enterprise_linux:libxcb-doc, p-cpe:/a:redhat:enterprise_linux:libxcb-python, p-cpe:/a:redhat:enterprise_linux:xcb-proto, p-cpe:/a:redhat:enterprise_linux:xkeyboard-config, p-cpe:/a:redhat:enterprise_linux:xkeyboard-config-devel, p-cpe:/a:redhat:enterprise_linux:xorg-x11-proto-devel, p-cpe:/a:redhat:enterprise_linux:xorg-x11-xtrans-devel, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/10/13

Vulnerability Publication Date: 2013/06/15

Reference Information

CVE: CVE-2013-1981, CVE-2013-1982, CVE-2013-1983, CVE-2013-1984, CVE-2013-1985, CVE-2013-1986, CVE-2013-1987, CVE-2013-1988, CVE-2013-1989, CVE-2013-1990, CVE-2013-1991, CVE-2013-1992, CVE-2013-1995, CVE-2013-1997, CVE-2013-1998, CVE-2013-1999, CVE-2013-2000, CVE-2013-2001, CVE-2013-2002, CVE-2013-2003, CVE-2013-2004, CVE-2013-2005, CVE-2013-2062, CVE-2013-2063, CVE-2013-2064, CVE-2013-2066

BID: 60120, 60121, 60122, 60123, 60124, 60125, 60126, 60127, 60128, 60129, 60131, 60132, 60133, 60134, 60135, 60136, 60137, 60138, 60139, 60143, 60144, 60145, 60146, 60148

RHSA: 2014:1436